import { OnInit, OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { UtilTimeService } from '../../../service/utilTime.service';
import { Timer } from '../../../models/index';
export declare class TimerComponent implements OnInit, OnChanges {
    private utilService;
    interval: any;
    displayTime: string;
    timer: Timer;
    timeExceeded: EventEmitter<any>;
    constructor(utilService: UtilTimeService);
    ngOnChanges(changes: SimpleChanges): void;
    createTimer(): void;
    getTimer(): number;
    clearInterval(): void;
    ngOnInit(): void;
}
